ASA-2019-00018 – TYPO3: Information disclosure of installed extensions


Allele Security Alert

ASA-2019-00018

Identifier(s)

ASA-2019-00018, TYPO3-CORE-SA-2019-001

Title

Information disclosure of installed extensions

Vendor(s)

TYPO3

Product(s)

TYPO3 CMS

Affected version(s)

TYPO3 CMS versions 8.0.0 up to 8.7.22
TYPO3 CMS versions 9.0.0 up to 9.5.3

Fixed version(s)

TYPO3 CMS version 8.7.23
TYPO3 CMS version 9.5.4

Proof of concept

Unknown

Description

It has been discovered that mechanisms used for configuration of RequireJS package loading are susceptible to information disclosure. This way a potential attack can retrieve additional information about installed system and third party extensions.

Technical details

Unknown

Credits

Sven Jürgens, Stefan Isak and Oliver Hader (TYPO3 core team)

Reference(s)

TYPO3-CORE-SA-2019-001: Information Disclosure of Installed Extensions
https://typo3.org/security/advisory/typo3-core-sa-2019-001/

TYPO3 9.5.4 and 8.7.23 security releases published
https://typo3.org/article/typo3-954-and-8723-security-releases-published/

[TYPO3-announce] Announcing TYPO3 v9.5.4 and v8.7.23 security releases
http://lists.typo3.org/pipermail/typo3-announce/2019/000437.html

If there is any error in this alert or you wish a comprehensive analysis, let us know.

Last modified: May 10, 2019

We are not responsible for any data loss, device corruption or any other type of issue due to the use of any information mentioned in our security alerts.